---
layout: lesson
title: Programming with MATLAB
---
The best way to learn how to program is to do something useful, so this
introduction to [MATLAB](https://en.wikipedia.org/wiki/MATLAB) is built around a common scientific task: data analysis.
Our real goal isn't to teach you MATLAB, but to teach you the basic concepts
that all programming depends on. We use MATLAB in our lessons because:

1. we have to use *something* for examples;
2. it's well-documented;
3. it has a large (and growing) user base among scientists in academia and the industry; and
4. it has a large library of packages available for performing diverse tasks.

But the two most important things are to use whatever language your colleagues
are using, so that you can share you work with them easily, and to use that
language *well*.

## Topics

1.  [Analyzing Patient Data](01-intro.html)
2.  [Writing MATLAB Scripts](02-scripts.html)
3.  [Repeating With Loops](03-loops.html)
4.  [Creating Functions](04-func.html)
5.  [Making Choices](05-cond.html)
6.  [Defensive Programming](06-defensive.html)

> ## Prerequisites {.prereq}
> To begin tackling this lesson, you will need to:
>
> * Understand the concepts of files and directories, and the concept of a "working directory".
> * Know how to start up MATLAB, and access the *command window* (which generally has a `>>` prompt).
> * Know how to create, edit and save text files.


## Other Resources

* [Motivation](motivation.html)
* [Reference](reference.html)
* [Instructor's Guide](instructors.html)
* [Discussion](discussion.html)
